Show / Hide Table of Contents

# Enum Logger.LogLevel

An enum providing log level filters.

###### Namespace: IPA.Logging

###### Assembly: IPA.Loader.dll

##### Syntax

    [Flags]
    public enum LogLevel : byte

### Fields

Name | Description
--- | ---
All | Shows all messages.
CriticalOnly | Only shows Critical messages.
DebugOnly | Only shows Debug messages.
DebugUp | Shows all messages debug and up.
ErrorOnly | Only shows Error messages.
ErrorUp | Shows all messages error and up.
InfoOnly | Only shows info messages.
InfoUp | Shows all messages info and up.
None | Allow no messages through.
NoticeOnly | Only shows notice messages.
NoticeUp | Shows all messages Notice and up.
TraceOnly | Only shows Trace messages.
Undefined | Used for when the level is undefined.
WarningOnly | Only shows Warning messages.
WarningUp | Shows all messages warning and up.

### Extension Methods

ReflectionUtil.SetField(String, Object)
ReflectionUtil.GetField<T>(String)
ReflectionUtil.SetProperty(String, Object)
ReflectionUtil.InvokeMethod(String, Object[])
ReflectionUtil.InvokeMethod<T>(String, Object[])